Subject: Re: What's cooking in git.git (Feb 2015, #06; Sun, 22)

From: Michael J Gruber <[email-masked]>
Date: Mon, 23 Feb 2015 14:53:52 +0100

Junio C Hamano venit, vidit, dixit 22.02.2015 22:41:

> [Stalled]
> 
> * nd/list-files (2015-02-09) 21 commits
>  . t3080: tests for git-list-files
>  . list-files: -M aka diff-cached
>  . list-files -F: show submodules with the new indicator '&'
>  . list-files: add -F/--classify
>  . list-files: show directories as well as files
>  . list-files: do not show duplicate cached entries
>  . list-files: sort output and remove duplicates
>  . list-files: add -t back
>  . list-files: add -1 short for --no-column
>  . list-files: add -R/--recursive short for --max-depth=-1
>  . list-files: -u does not imply showing stages
>  . list-files: make alias 'ls' default to 'list-files'
>  . list-files: a user friendly version of ls-files and more
>  . ls-files: support --max-depth
>  . ls-files: add --column
>  . ls-files: add --color to highlight file names
>  . ls-files: buffer full item in strbuf before printing
>  . ls_colors.c: highlight submodules like directories
>  . ls_colors.c: add a function to color a file name
>  . ls_colors.c: parse color.ls.* from config file
>  . ls_colors.c: add $LS_COLORS parsing code
> 
>  A new "git list-files" Porcelain command, "ls-files" with bells and
>  whistles.
> 
>  No comments?  No reviews?  No interests?

I like the result a lot (I admit - I like colors in terminals).
Since the aim is a user facing command I'm wondering whether the status
symbols really should be those from "ls-files" or rather those from
"status -s" (and diff --name-files). (Yes, that would require two chars.)

status, status -s and the like are in an ordinary user's tool box.
ls-files isn't, at least not with "-t", which we even mark as deprecated.

That makes me wonder, though, how difficult it would be to
wt_status_collect_unchanged() and to leverage the status machinery
rather than ls-files.

Michael